// (C) Фролов Г.В., 1995
// Адрес E-mail: frolov@glas.apc.org

#include <windows.h>
#include "tele.h"

// ===================================================================
// Функция UserChat
// ===================================================================
#pragma argsused

LRESULT  UserChat(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	char	szTemp[3];	// Рабочий массив

	switch (wParam)
	{
		// Пользователь нажал клавишу <Return> (<Enter>)
		case VK_RETURN:

			szTemp[0] = '\r';
			szTemp[1] = '\n';
			szTemp[2] = '\0';

			break;

		// Пользователь нажал другую клавишу (не <Return>)
		default:
			szTemp[0] = (char)wParam;
			szTemp[1] = '\0';

			break;
	}

	// Передаем код нажатой клавиши в COM-порт
	WriteComm( idOpenCommPort,(LPSTR)szTemp,
				  lstrlen((LPCSTR) szTemp));

   // Получаем и сбрасываем код ошибки
	GetCommError( idOpenCommPort,NULL );

   // Отображаем символ нажатой клавиши на экране 
	WriteTTY( szTemp, hwnd, DARK_BLUE );

	return 0;
}